import { XYChart } from "./XYChart";
import { IEnumerable, Type } from "igniteui-angular-core";
import { CategoryChartType } from "./CategoryChartType";
import { CategorySeriesMarkerCollisionAvoidance } from "./CategorySeriesMarkerCollisionAvoidance";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { TransitionInSpeedType } from "./TransitionInSpeedType";
import { BrushCollection } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { DataSeriesType } from "igniteui-angular-core";
import { IDataSeriesAdapterRule } from "igniteui-angular-core";
import { Series } from "./Series";
import { XamDataChart } from "./XamDataChart";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CategoryChart extends XYChart {
    static $t: Type;
    protected ic(): void;
    protected ie(a: Series, b: number): void;
    protected i0(a: string, b: any, c: any): void;
    private sl;
    sn: number;
    private rk;
    rl: (time: number) => number;
    sq(): string;
    protected h7(a: XamDataChart): void;
    protected id(a: Series, b: number): void;
    private ra;
    private re;
    protected hw(): void;
    protected pe(a: Axis): void;
    private q4;
    q5: CategoryChartType;
    private q6;
    q7: CategorySeriesMarkerCollisionAvoidance;
    private ro;
    rt: boolean;
    private q8;
    q9: CategoryTransitionInMode;
    private ri;
    rj: TransitionInSpeedType;
    private ry;
    sc: number;
    private rz;
    sd: number;
    private rx;
    sb: number;
    private r0;
    se: number;
    private r1;
    sh: number;
    private rq;
    rv: boolean;
    private sm;
    so: number;
    private r3;
    sj: number;
    private r2;
    si: number;
    private r4;
    sk: number;
    readonly sa: number;
    readonly r9: number;
    r6(): number;
    r8(): number;
    r5(): number;
    r7(): number;
    readonly sg: number;
    readonly sf: number;
    private q0;
    q2: BrushCollection;
    private q1;
    q3: BrushCollection;
    private rp;
    ru: boolean;
    private rm;
    rr: boolean;
    private rn;
    rs: boolean;
    constructor();
    protected get_cv(): List$1<DataSeriesType>;
    protected readonly cv: List$1<DataSeriesType>;
    private rw;
    protected c4(): IEnumerable;
    private te;
    private tf;
    protected jh(): void;
    private _xAxis;
    private xAxis;
    private _yAxis;
    private yAxis;
    private rd;
    private rc;
    protected ab(a: DataSeries): DataSeriesType;
    protected a3(a: DataSeries, b: DataSeriesType): Series;
    protected jf(a: DataSeries): void;
    protected ji(): void;
    protected get_cu(): List$1<IDataSeriesAdapterRule>;
    protected readonly cu: List$1<IDataSeriesAdapterRule>;
    protected hu(a: Series, b: number): void;
    private tc;
    private td;
    protected ka(): Axis;
    protected kb(): Axis;
    private rg;
    private rh;
    protected cr(a: string, b: boolean): List$1<Series>;
    protected jm(a: Series, b: Series, c: DataSeries): void;
    protected iz(a: string, b: any, c: any): void;
}
