import { FunnelDataContext as FunnelDataContext_internal } from "./FunnelDataContext";
/**
 * Represents contextual data for the funnel chart.
*/
export declare class IgxFunnelDataContext {
    protected createImplementation(): FunnelDataContext_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: FunnelDataContext_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The data item that is in context.
    */
    item: any;
    /**
     * The index of the data item that is in context.
    */
    index: number;
    static ngAcceptInputType_index: number | string;
    findByName(name: string): any;
}
