import { IgPoint } from "igniteui-angular-core";
import { HoleDimensionsChangedEventArgs as HoleDimensionsChangedEventArgs_internal } from "./HoleDimensionsChangedEventArgs";
/**
 * EventArgs class holding information about the dimensions of a hole in a doughnut chart.
*/
export declare class IgxHoleDimensionsChangedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: HoleDimensionsChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * The center point of the hole.
    */
    readonly center: IgPoint;
    static ngAcceptInputType_center: IgPoint | string;
    /**
     * The radius of the hole.
    */
    readonly radius: number;
    static ngAcceptInputType_radius: number | string;
}
