import { IgPoint } from "igniteui-angular-core";
import { IgxSeriesViewerComponent } from "./igx-series-viewer-component";
import { PlotAreaMouseButtonEventArgs as PlotAreaMouseButtonEventArgs_internal } from "./PlotAreaMouseButtonEventArgs";
/**
 * Provides data for IgxDataChartComponent mouse button related events.
*/
export declare class IgxPlotAreaMouseButtonEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: PlotAreaMouseButtonEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    chartPosition: IgPoint;
    static ngAcceptInputType_chartPosition: IgPoint | string;
    plotAreaPosition: IgPoint;
    static ngAcceptInputType_plotAreaPosition: IgPoint | string;
    manipulationOccurred: boolean;
    static ngAcceptInputType_manipulationOccurred: boolean | string;
    /**
     * Gets the Chart associated with the current event.
    */
    viewer: IgxSeriesViewerComponent;
}
